<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Title>Donald Duck Special</Title>
  <Series>FCBD Disney Masters</Series>
  <Web>https://www.comixology.com/FCBD-Disney-Masters/digital-comic/884026</Web>
  <Summary>Sample a collector's choice of rare Duckburg classics in a big pick from around the world! In "It's Bats, Man," no job is too tough for Donald Duck, Master of Pest Removal! Then Uncle Scrooge predicts the future in "Much Ado about Telepathy" and Donald gets his first-ever visit from Cousin Fethry in "The Health Nut!"</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB884026]</Notes>
  <Publisher>Fantagraphics</Publisher>
  <Genre>Action/Adventure, Comedy</Genre>
  <PageCount>32</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
